local lspconfig = require("lspconfig")

require("mason-lspconfig").setup_handlers({
	-- The first entry (without a key) will be the default handler
	-- and will be called for each installed server that doesn't have
	-- a dedicated handler.
	function(server_name)
		require("lspconfig")[server_name].setup({
			on_attach = on_attach,
			capabilities = capabilities,
			--handlers = handlers,
		})
	end,
	["eslint"] = function()
		lspconfig.eslint.setup({
			capabilities = capabilities,
			--handlers = handlers,
			on_attach = require("config.lsp.servers.eslint").on_attach,
			settings = require("config.lsp.servers.eslint").settings,
		})
	end,
})
